cascading.management

## Class CascadingServices.NullDocumentService

- java.lang.Object
- - cascading.management.CascadingServices.NullDocumentService

- All Implemented Interfaces:
    DocumentService, CascadingService
  Enclosing class:
    CascadingServices

      public static class CascadingServices.NullDocumentService
      extends Object
      implements DocumentService

  Class NullDocumentService provides a null implementation.

- - ### Field Summary

    - ### Fields inherited from interface cascading.management.DocumentService

      `DOCUMENT_SERVICE_CLASS_PROPERTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CascadingServices.NullDocumentService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Map<String,Object>>` | `find(String type, String[] query)`
    `Map` | `get(String type, String key)`
    `boolean` | `isEnabled()` Returns true if this service has been enabled.
    `void` | `put(String key, Object object)`
    `void` | `put(String type, String key, Object object)`
    `void` | `setProperties(Map<Object,Object> properties)`
    `void` | `startService()` May be called more than once, but only the first invocation will start the service.
    `void` | `stopService()` May be called more than once, but only the first invocation will stop the service.
    `boolean` | `supportsFind()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CascadingServices.NullDocumentService

          public CascadingServices.NullDocumentService()

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Description copied from interface: `CascadingService`
      Returns true if this service has been enabled.
      Specified by:
        `isEnabled` in interface `CascadingService`
      Returns:
        boolean

    - #### setProperties

          public void setProperties(Map<Object,Object> properties)

      Specified by:
        `setProperties` in interface `CascadingService`

    - #### startService

          public void startService()

      Description copied from interface: `CascadingService`
      May be called more than once, but only the first invocation will start the service.
      Specified by:
        `startService` in interface `CascadingService`

    - #### stopService

          public void stopService()

      Description copied from interface: `CascadingService`
      May be called more than once, but only the first invocation will stop the service.
      Specified by:
        `stopService` in interface `CascadingService`

    - #### put

          public void put(String key,
                 Object object)

      Specified by:
        `put` in interface `DocumentService`

    - #### put

          public void put(String type,
                 String key,
                 Object object)

      Specified by:
        `put` in interface `DocumentService`

    - #### get

          public Map get(String type,
                String key)

      Specified by:
        `get` in interface `DocumentService`

    - #### supportsFind

          public boolean supportsFind()

      Specified by:
        `supportsFind` in interface `DocumentService`

    - #### find

          public List<Map<String,Object>> find(String type,
                                      String[] query)

      Specified by:
        `find` in interface `DocumentService`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.